Version conflict (designer) when upgrading

4 posts, 0 answers
  1. Anders
    Anders avatar
    2 posts
    Member since:
    Nov 2011

    Posted 14 Nov 2011 Link to this post

    Greetings

    I'm part of a project that has up until now worked with the July release of RadControls.
    I've always had issues with seeing the RadDesigner components in design view but since
    I've always been part of the backend I've paid it no mind.

    Now however, I installed the latest version of radcontrols (Sept SP2 release I believe)
    and I need to see the components in design view to do some fixes. However, I now get
    a version error due to the fact (I assume) its trying to load version "2011.2.712.40"
    while I just installed version "2011.2.915.40".

    Since we do like to use the latest version of the third party components we use its in the
    projects best interest to migrate as soon as possible to the latest version (also for me to
    do my job).

    The project is TFS based as usual with normal check in policies.

    How do you suggest we go about solving this issue?

    Thank you for your time,

    Anders
  2. Chavdar Dimitrov
    Admin
    Chavdar Dimitrov avatar
    104 posts

    Posted 14 Nov 2011 Link to this post

    Hello Anders,

    Thank you for contacting us.

    I guess that for some reason the toolbox wasn't updated and that is why you get the version error. You can use the Toolbox Configurator for checking which version of the controls is populated in the Visual Studio's toolbox. If the toolbox is populated with an older version of the controls, choose the version 2011.2.915.40 from the drop down list and press 'Finish'. The operation requires Visual Studio restart.

    I hope this will solve your issue. Please, do not hesitate to write us again if you need any further assistance.

    Kind regards,
    Chavdar,
    the Telerik team
    If you want to get updates on new releases, tips and tricks and sneak peeks at our product labs directly from the developers working on the RadControls for ASP.NET AJAX, subscribe to their blog feed now
  3. UI for ASP.NET Ajax is Ready for VS 2017
  4. Anders
    Anders avatar
    2 posts
    Member since:
    Nov 2011

    Posted 14 Nov 2011 Link to this post

    Greetings,

    Thank you for your swift reply.

    In the toolbox setting I can only select the latest version (the one I just installed). The version that the designer
    wants to use isn't even availible as a possible toolbox choice.

    After some more testing it seems like the problem is only visible in the old solution file. New solutions behave as
    they should.

    //Anders
  5. Chavdar Dimitrov
    Admin
    Chavdar Dimitrov avatar
    104 posts

    Posted 14 Nov 2011 Link to this post

    Hi Anders,

    Thanks for the update.

    It seems that the old version comes from the solution, not from the toolbox.

    Could you please check the version of the referenced assemblies in all your projects in the solution - it must be 2011.2.915.40? You can also check if you reference any telerik assemblies from custom locations that were missed during the upgrade.

    Let me know if you find any references that weren't updated.

    Best regards,
    Chavdar,
    the Telerik team
    If you want to get updates on new releases, tips and tricks and sneak peeks at our product labs directly from the developers working on the RadControls for ASP.NET AJAX, subscribe to their blog feed now
Back to Top